// Copyright (C) 2002 Neil Stevens <neil@qualityassistant.com>
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
// THE AUTHOR(S) BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN
// AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
// CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
// 
// Except as contained in this notice, the name(s) of the author(s) shall not be
// used in advertising or otherwise to promote the sale, use or other dealings
// in this Software without prior written authorization from the author(s).

#ifndef MEGAMICONFIG_H
#define MEGAMICONFIG_H

#include <kconfig.h>
#include <kdialogbase.h>
#include <kglobal.h>

class KColorButton;
class KLineEdit;

class MegamiConfig : public KDialogBase
{
Q_OBJECT

public:
	struct Data
	{
		QColor bgColor, fgColor;
		QString playerName;
		QStringList computerNames;
	};

	static Data readData(KConfig &config = *KGlobal::config());
	static void writeData(const Data &, KConfig &config = *KGlobal::config());

	MegamiConfig(const Data &data, QWidget *parent = 0, const char *name = 0);

	Data result(void);

signals:
	void apply(const MegamiConfig::Data &);

protected slots:
	void slotApply(void);
	void slotDefault(void);

private:
	void applyData(const MegamiConfig::Data &);

	KColorButton *bgColor, *fgColor;
	KLineEdit *playerName, *computerName1, *computerName2, *computerName3;
};

#endif
